%define name tkcvs

Summary:	Tk interface for CVS
Summary(pl):	Interfejs Tk dla CVS
Name:		%{name}
Version:	6.3b3
Release:	1mdk
Copyright:	GPL
Group:		Development/Other
Source:		http://download.sourceforge.net/tkcvs/%{name}-%{version}.tar.bz2
Patch:		tkcvs-6.3b3-path.patch.bz2
Url: 		http://www.twobarleycorns.net/
Prefix:		%{_prefix}
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	tk
Requires:	cvs
BuildArch:	noarch

%description
tkCVS is a Tk based graphical interface to the CVS configuration
management system.  It includes facilities for providing "user
friendly" names to modules and directories within the repository, and
provides a facility to interactively browse the repository looking for
modules and directories.

%description -l pl
Interfejs Tk dla CVS

%prep
%setup -q
%patch -p0

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{prefix}/{bin,share/tkcvs/bitmaps,man/mann}
install tkcvs/tkcvs.blank    $RPM_BUILD_ROOT%{prefix}/bin/tkcvs
install tkcvs/*.tcl          $RPM_BUILD_ROOT%{prefix}/share/tkcvs
install tkcvs/tclIndex       $RPM_BUILD_ROOT%{prefix}/share/tkcvs
install bitmaps/*            $RPM_BUILD_ROOT%{prefix}/share/tkcvs/bitmaps
install tkdiff/tkdiff        $RPM_BUILD_ROOT%{prefix}/bin/tkdiff
install tkcvs/*.n            $RPM_BUILD_ROOT%{prefix}/man/mann
rm -f $RPM_BUILD_ROOT%{prefix}/share/tkcvs/tkcvs_def.tcl
mkdir -p $RPM_BUILD_ROOT/etc/cvs
install tkcvs/tkcvs_def.tcl $RPM_BUILD_ROOT/etc/cvs/

#README.tkcvs tkdiff/COPYING tkcvs/vendor.readme tkcvs/branchgen.sh
ln tkdiff/COPYING tkdiff.COPYING 

# Menu support
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu

cat > $RPM_BUILD_ROOT/usr/lib/menu/%{name} << EOF
?package(%{name}): needs=x11 section="Applications/Development/Tools"  title=TkCVS command=tkcvs
?package(%{name}): needs=x11 section="Applications/Development/Tools"  title=TkDiff command=tkdiff
EOF

%post
if [ -x /usr/bin/update-menus ]; then /usr/bin/update-menus; fi

%postun

if [ "$1" = 0 -a -x /usr/bin/update-menus ]; then /usr/bin/update-menus; fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.tkcvs tkdiff.COPYING tkcvs/vendor.readme README.windows

%attr(755,root,root) %{prefix}/bin/*

/usr/share/tkcvs/*.tcl
/usr/share/tkcvs/tclIndex
/usr/lib/menu/%{name}
/usr/share/tkcvs/bitmaps/*

%config /etc/cvs/tkcvs_def.tcl

%attr(644,root, man) /usr/man/mann/*

%changelog
* Tue Mar 28 2000 Frederic Lepied <flepied@mandrakesoft.com> 6.3b3-1mdk
- 6.3b3

* Mon Mar 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 6.2b3-2mdk
- group fix.
- menu support.

* Tue Dec 28 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- change version
- Mandrake adaptations
- default cvsroot to /var/cvs

* Wed Dec 23 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- initial rpm release
